import Model from '@tripian/model';
declare class Cached {
    /**
     ******************************************************************************
     *
     * Cities
     *
     */
    static cities: () => Model.City[] | undefined;
    static city: (cityId: number) => Model.City | undefined;
    /**
     ******************************************************************************
     *
     * Feedbacks
     *
     */
    static feedbacks: () => Model.Feedbacks | undefined;
    static userFeedbacks: () => Model.UserFeedback[] | undefined;
    /**
     ******************************************************************************
     *
     * POIS Categories
     *
     */
    static poiCategories: () => Model.PoiCategory[] | undefined;
    /**
     ******************************************************************************
     *
     * POI
     *
     */
    static poi: (poiId: number) => Model.Poi | undefined;
    static pois: (poiIds: number[]) => Model.Poi[] | undefined;
    static poisAll: (cityId: number, category: string) => Model.DataPayload<Model.Poi[]> | undefined;
    /**
     ******************************************************************************
     *
     * User
     *
     */
    static user: () => Model.User | undefined;
    /**
     ******************************************************************************
     *
     * Favorites
     *
     */
    static favorites: (cityId?: number | undefined) => Model.Favorite[] | undefined;
    /**
     ******************************************************************************
     *
     * Companions
     *
     */
    static companions: () => Model.Companion[] | undefined;
    /**
     ******************************************************************************
     *
     * Notifications
     *
     */
    /**
     ******************************************************************************
     *
     * Reservations
     *
     */
    static reservations: (cityId?: number | undefined) => Model.UserReservation[] | undefined;
    /**
     ******************************************************************************
     *
     * User-Reactions
     *
     */
    static userReactions: (tripHash?: string) => Model.UserReaction[] | undefined;
    /**
     ******************************************************************************
     *
     * Questions
     *
     */
    static questions: (qDataKey: string) => Model.Question[] | undefined;
    /**
     ******************************************************************************
     *
     * TripRefs
     *
     */
    static tripRefs: () => Model.TripReference[] | undefined;
    static tripSavedRefs: () => Model.TripReference[] | undefined;
    static tripRef: (tripHash: string) => Model.TripReference | undefined;
    /**
     ******************************************************************************
     *
     * Trip
     *
     */
    static trip: (tripHash: string, minDayIndex: number) => Model.Trip | undefined;
    static plan: (planId: number) => Model.Plan | undefined;
    static topTen: (cityId: number) => Model.TopTen[] | undefined;
}
export default Cached;
